{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  Demo Application                                     }
{                                                       }
{  (c) 1997, 2000 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}

unit dmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  vg2PropStore, ImgList;

type
  Tdm = class(TDataModule)
    afAppIni: Tvg2AppIniFile;
    ilLogo: TImageList;
    ilLogo16: TImageList;
    ilImages: TImageList;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dm: Tdm;

implementation

{$R *.DFM}

{$R logo.res}
{$R vg2VCL.dcr}
{$R vg2DB.dcr}
{$R vg2BDE.dcr}
{$R vg2ADO.dcr}
{$R vg2IB.dcr}
{$R vg2MID.dcr}

procedure Tdm.DataModuleCreate(Sender: TObject);
begin
  ilLogo.ResourceLoad(rtBitmap, 'IDB_LOGO', clFuchsia);
  ilLogo16.ResourceLoad(rtBitmap, 'IDB_LOGO16', clFuchsia);
end;

end.
