{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  VCL Registration (DB)                                }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2DBReg;

interface

procedure Register;

implementation
uses Classes, DsgnIntf,
  vg2Consts, vg2DBCtrls, vg2DBNavigate, vg2DBDialogs, vg2DBLookup, vg2DBTree,
  vg2DBDsgn;

{$R vg2DB.dcr }

procedure Register;
begin
  RegisterComponents(SRegDataControls, [
    Tvg2DBText, Tvg2DBEdit, Tvg2DBSpinEdit, Tvg2DBCalculatorEdit, Tvg2DBDateTimeEdit,
    Tvg2DBListBox, Tvg2DBComboBox, Tvg2DBRadioButton, Tvg2DBCheckBox, Tvg2DBLookupComboBox,
    Tvg2DBNavigator, Tvg2DBTreeView
  ]);

  RegisterComponents(SRegDataDialogs, [
    Tvg2DBFilterDialog, Tvg2DBLocateDialog, Tvg2DBSearchDialog, Tvg2DBRecordViewDialog
  ]);

  RegisterComponentEditor(Tvg2DBNavigator, TDBNavigatorEditor);

  RegisterPropertyEditor(TypeInfo(string), Tvg2DBLookupComboBox, 'ListField', TListFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2DBLookupComboBox, 'KeyField', TListFieldProperty);

  RegisterPropertyEditor(TypeInfo(string), Tvg2DBTreeView, 'DataFieldID', TDataFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2DBTreeView, 'DataFieldParentID', TDataFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2DBTreeView, 'DataFieldText', TDataFieldProperty);

end;

end.
